com.sudogeeks.talking_reminder.ReminderAddActivity Class Reference

Java class for handling UI component of Add reminder layout. More...

Inheritance diagram for com.sudogeeks.talking_reminder.ReminderAddActivity:

## Public Member Functions

void | setTime (View v)
void | setDate (View v)
void | selectFab1 (View v)
void | selectFab2 (View v)
void | onSwitchRepeat (View view)
void | selectRepeatType (View v)
void | setRepeatNo (View v)
boolean | isExternalStorageWritable ()
void | saveReminderToTempStorage (String filename)
void | saveReminder ()
void | onBackPressed ()
boolean | onCreateOptionsMenu (Menu menu)
boolean | onOptionsItemSelected (MenuItem item)

## Protected Member Functions

void | onCreate (Bundle savedInstanceState)
void | onSaveInstanceState (Bundle outState)

## Detailed Description

Java class for handling UI component of Add reminder layout.

Definition at line 48 of file ReminderAddActivity.java.

## Member Function Documentation

## onBackPressed()

void com.sudogeeks.talking_reminder.ReminderAddActivity.onBackPressed | ( |  | ) |

On pressing the back button

Definition at line 470 of file ReminderAddActivity.java.

## onCreate()

void com.sudogeeks.talking_reminder.ReminderAddActivity.onCreate | ( | Bundle | savedInstanceState | ) |

protected

overrides onCreate method to get all the ui element

Parameters

  savedInstanceState |

Definition at line 90 of file ReminderAddActivity.java.

## onCreateOptionsMenu()

boolean com.sudogeeks.talking_reminder.ReminderAddActivity.onCreateOptionsMenu | ( | Menu | menu | ) |

Creating the menu

Parameters

  menu |

Returns
  true

Definition at line 481 of file ReminderAddActivity.java.

## onOptionsItemSelected()

boolean com.sudogeeks.talking_reminder.ReminderAddActivity.onOptionsItemSelected | ( | MenuItem | item | ) |

On clicking menu buttons :Save reminder (to save reminder), send reminder(to send reminder), discard reminder(to discard reminder)

Parameters

  item |

Returns

Definition at line 493 of file ReminderAddActivity.java.

## onSwitchRepeat()

void com.sudogeeks.talking_reminder.ReminderAddActivity.onSwitchRepeat | ( | View | view | ) |

On clicking the repeat switch, to select for repeat alarm

Parameters

  view |

Definition at line 284 of file ReminderAddActivity.java.

## saveReminder()

void com.sudogeeks.talking_reminder.ReminderAddActivity.saveReminder | ( |  | ) |

This method saves the reminder to database and also invokes setAlarm and setRepeatAlarm

Definition at line 414 of file ReminderAddActivity.java.

## saveReminderToTempStorage()

void com.sudogeeks.talking_reminder.ReminderAddActivity.saveReminderToTempStorage | ( | String | filename | ) |

To save reminder data object parsed into json

Parameters

  filename |

Definition at line 370 of file ReminderAddActivity.java.

## selectRepeatType()

void com.sudogeeks.talking_reminder.ReminderAddActivity.selectRepeatType | ( | View | v | ) |

On clicking repeat type button, to select for repeat type like every minute, hour, day,month

Parameters

  v |

Definition at line 299 of file ReminderAddActivity.java.

## setDate()

void com.sudogeeks.talking_reminder.ReminderAddActivity.setDate | ( | View | v | ) |

On clicking Date picker,to show date dialog for user to select date

Parameters

  v |

Definition at line 238 of file ReminderAddActivity.java.

## setRepeatNo()

void com.sudogeeks.talking_reminder.ReminderAddActivity.setRepeatNo | ( | View | v | ) |

On clicking set repeat interval

Parameters

  v |

Definition at line 329 of file ReminderAddActivity.java.

## setTime()

void com.sudogeeks.talking_reminder.ReminderAddActivity.setTime | ( | View | v | ) |

On clicking Time picker , to show time dialog for user to select time

Parameters

  v |

Definition at line 211 of file ReminderAddActivity.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/ReminderAddActivity.java